Summary: The protocol sniffer for the APSR Suite.
Name: aprecv
Version: 0.12
Release: 1
License: APSR
Group: Applications/Internet
URL: http://www.aa-security.de/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The console protocol sniffer for the APSR network testing suite.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --with-static=yes --with-debug=yes
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
cp src/aprecv %{buildroot}/usr/bin/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/aprecv

%changelog
* Tue Apr 15 2003 Maik Pfeil <maik.pfeil@aa-security.de> 0.12-1
- Version update

* Tue Feb 25 2003 Maik Pfeil <maik.pfeil@aa-security.de> 0.11-1
- Version update

* Sun Oct 13 2002 Maik Pfeil <maik.pfeil@aa-security.de> 0.10-1
- Version update

* Sun Jul 14 2002 Maik Pfeil <maik.pfeil@aa-security.de> 0.09-1
- Version update

* Fri Jun 28 2002 Maik Pfeil <maik.pfeil@aa-security.de> 0.08-3
- Updated requirements

* Fri Jun 28 2002 Maik Pfeil <maik.pfeil@aa-security.de> 0.08-2
- Fixed minor bug with buildroot

* Wed Jun 12 2002 Maik Pfeil <maik.pfeil@aa-security.de> 0.08-1
- Packaged
