#include "../include/apsend-general.h"

void clean_exit (int sig) {
	apsr_output("\nExit");

	#ifdef APSEND_DEBUG
	switch(sig) {
		case SIGTERM:
		  apsr_stream_output((FILE *) stdout, " (Code: Term - 15)");
		  break;
		case SIGQUIT:
		  apsr_stream_output((FILE *) stdout, " (Code: Quit - 3)");
		  break;
		case SIGINT:
		  apsr_stream_output((FILE *) stdout, " (Code: Interrupt - 2)");
		  break;
		case SIGABRT:
		  apsr_stream_output((FILE *) stdout, " (Code: Abort - 6)");
		  break;
		case SIGSEGV:
		  apsr_stream_output((FILE *) stdout, " (Code: Segfault - 11)");
		  break;
		default:
		  apsr_stream_output((FILE *) stdout, " (code: %d)", sig);
		  break;
	}
	#endif

	apsr_output(".\n");

	exit(EXIT_SUCCESS);
}

