#include "../include/apsrstack-general.h"

void statistic(void) {
        apsr_output("\n- Ethernet Statistics -\n");
        apsr_output("Processed: %u, ", stats.ethernet.processed);
        apsr_output("Dropped: %u, ", stats.ethernet.drops);
        apsr_output("Unknown Type: %u\n", stats.ethernet.unknown_type);
	
	apsr_output("- ARP Statistics -\n");
        apsr_output("Processed: %u, ", stats.arp.processed);
        apsr_output("Dropped: %u\n", stats.arp.drops);
	
	apsr_output("- IPv4 Statistics -\n");
	apsr_output("Processed: %u, ", stats.ipv4.processed);
	apsr_output("Dropped: %u, ", stats.ipv4.drops);
	apsr_output("Fragmented: %u, ", stats.ipv4.fragmented);
	apsr_output("Checksum Errors: %u, ", stats.ipv4.checksum_errors);
	apsr_output("ICMPv4 Destination Un. / Protocol Un.: %u\n",
			stats.ipv4.dest_un_proto_un);		  

        apsr_output("- ICMPv4 Statistics -\n");
        apsr_output("Processed: %u, ", stats.icmpv4.processed);
        apsr_output("Dropped: %u, ", stats.icmpv4.drops);
        apsr_output("Checksum Errors: %u\n", stats.icmpv4.checksum_errors);

        apsr_output("- TCP Statistics -\n");
        apsr_output("Processed: %u, ", stats.tcp.processed);
        apsr_output("Dropped: %u, ", stats.tcp.drops);
        apsr_output("Checksum Errors: %u\n", stats.tcp.checksum_errors);
	
        apsr_output("- UDP Statistics -\n");
        apsr_output("Processed: %u, ", stats.udp.processed);
        apsr_output("Dropped: %u, ", stats.udp.drops);
        apsr_output("Checksum Errors: %u, ", stats.udp.checksum_errors);
        apsr_output("ICMPv4 Destination Un. / Port Un.: %u\n",
			stats.udp.dest_un_port_un);
}

